%global srcname Werkzeug
%global modname werkzeug

Name:           python3-%{modname}
Version:        1.0.1
Release:        1%{?dist}
Summary:        Comprehensive WSGI web application library

License:        BSD
URL:            https://werkzeug.palletsprojects.com
Source0:        %{pypi_source}

BuildArch:      noarch

%global _description\
Werkzeug\
========\
\
Werkzeug started as simple collection of various utilities for WSGI\
applications and has become one of the most advanced WSGI utility\
modules.  It includes a powerful debugger, full featured request and\
response objects, HTTP utilities to handle entity tags, cache control\
headers, HTTP dates, cookie handling, file uploads, a powerful URL\
routing system and a bunch of community contributed addon modules.\
\
Werkzeug is unicode aware and doesn't enforce a specific template\
engine, database adapter or anything else.  It doesn't even enforce\
a specific way of handling requests and leaves all that up to the\
developer. It's most useful for end user applications which should work\
on as many server environments as possible (such as blogs, wikis,\
bulletin boards, etc.).\

%description %{_description}

%package -n python%{python3_pkgversion}-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{modname} %{_description}

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{modname}
%license LICENSE.rst
%doc CHANGES.rst README.rst
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Wed Apr 08 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0.1-1
- Initial package
